enchant(); //enchant.jsを使い始めるためのおまじない
window.onload = function() {
    game = new Game(320, 320);
    game.preload('icon0.gif', 'map2.gif');
    game.onload = function() { //ここでゲームを開始する前の準備をする
        //物理世界を創造する
        world = new PhysicsWorld(0.0, 9.8);
        //床を設置する
        for (var i = 0; i < 8; i++) {
            var floor = new PhyBoxSprite(320, 16, enchant.box2d.STATIC_SPRITE, 1.0, 0.5, 0.0, true);
            floor.image = new Surface(16, 16);
            floor.image.draw(game.assets['map2.gif'],0,0,16,16,0,0,16,16);
            floor.x = 0;
            floor.y = i * 32 + 64;
            game.rootScene.addChild(floor);
        }
        //リンゴを置く
        apple = new PhyCircleSprite(8, enchant.box2d.DYNAMIC_SPRITE, 1.0, 0.5, 0.0, true);
        apple.image = game.assets['icon0.gif'];
        apple.frame = 15;
        apple.x = 160;
        apple.y = 0;
        game.rootScene.addChild(apple);

        game.rootScene.onenterframe = function(e) {
            //物理世界の時間を進める
            world.step(game.fps);
            // ここにコードを追加
        };
    }
    game.start(); //ゲーム開始
}